---
title: 'Document: wheel event'
slug: Web/API/Document/wheel_event
tags:
  - API
  - Document
  - Event
  - Reference
  - wheel
---
<div>{{APIRef}}</div>

<p>The <strong><code>wheel</code></strong> event fires when the user rotates a wheel button on a pointing device (typically a mouse).</p>

<table class="properties">
 <tbody>
  <tr>
   <th>Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th>Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
  </tr>
  <tr>
   <th>Interface</th>
   <td>{{domxref("WheelEvent")}}</td>
  </tr>
  <tr>
   <th>Event handler property</th>
   <td>{{domxref("GlobalEventHandlers.onwheel")}}</td>
  </tr>
 </tbody>
</table>

<p>This event replaces the non-standard deprecated <code><a href="/en-US/docs/Web/API/Element/mousewheel_event">mousewheel</a></code> event.</p>

<div class="notecard note">
<p><strong>Note:</strong> Don't confuse the <code>wheel</code> event with the <code><a href="/en-US/docs/Web/API/Document/scroll_event">scroll</a></code> event. The default action of a <code>wheel</code> event is implementation-specific, and doesn't necessarily dispatch a <code>scroll</code> event. Even when it does, the <code>delta*</code> values in the <code>wheel</code> event don't necessarily reflect the content's scrolling direction. Therefore, do not rely on the <code>wheel</code> event's <code>delta*</code> properties to get the scrolling direction. Instead, detect value changes of {{domxref("Element.scrollLeft", "scrollLeft")}} and {{domxref("Element.scrollTop", "scrollTop")}} in the <code>scroll</code> event.</p>
</div>

<h2 id="Examples">Examples</h2>

<h3 id="Scaling_an_element_via_the_wheel">Scaling an element via the wheel</h3>

<p>This example shows how to scale an element using the mouse (or other pointing device) wheel.</p>

<pre class="brush: html notranslate">&lt;div&gt;Scale me with your mouse wheel.&lt;/div&gt;</pre>

<pre class="brush: css notranslate">body {
  min-height: 100vh;
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

div {
  width: 105px;
  height: 105px;
  background: #cdf;
  padding: 5px;
}</pre>

<pre class="brush: js notranslate">function zoom(event) {
  event.preventDefault();

  if (event.deltaY &lt; 0) {
    // Zoom in
    scale *= event.deltaY * -2;
  }
  else {
    // Zoom out
    scale /= event.deltaY * 2;
  }

  // Restrict scale
  scale = Math.min(Math.max(.125, scale), 4);

  // Apply scale transform
  el.style.transform = `scale(${scale})`;
}

let scale = 1;
const el = document.querySelector('div');
document.onwheel = zoom;</pre>

<p>{{EmbedLiveSample("Scaling_an_element_via_the_wheel", 700, 300)}}</p>

<h3 id="addEventListener_equivalent">addEventListener equivalent</h3>

<p>The event handler can also be set up using the <code><a href="/en-US/docs/Web/API/EventTarget/addEventListener">addEventListener()</a></code> method:</p>

<pre class="brush: js notranslate">document.addEventListener('wheel', zoom);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('UI Events','#event-type-wheel','wheel')}}</td>
   <td>{{Spec2('UI Events')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.wheel_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WheelEvent")}}</li>
</ul>
